Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer.utils
Class AttList

    java.lang.Object
      |
      +--org.apache.xml.serializer.utils.AttList

public final class AttList
extends java.lang.Object
implements Attributes

Wraps a DOM attribute list in a SAX Attributes. This class is a copy of the one in org.apache.xml.utils. It exists to cut the serializers dependancy on that package. A minor changes from that package are: DOMHelper reference changed to DOM2Helper, class is not "public" This class is not a public API, it is only public because it is used in org.apache.xml.serializer.

Usage:
  **For internal use only**

Constructor Summary
`AttList(NamedNodeMap attrs, DOM2Helper dh)` Constructor AttList

Method Summary
`int` | `getIndex(java.lang.String qName)` Look up the index of an attribute by raw XML 1.0 name.
`int` | `getIndex(java.lang.String uri, java.lang.String localPart)` Look up the index of an attribute by Namespace name.
`int` | `getLength()` Get the number of attribute nodes in the list
`java.lang.String` | `getLocalName(int index)` Look up an attribute's local name by index.
`java.lang.String` | `getQName(int i)` Look up an attribute's qualified name by index.
`java.lang.String` | `getType(int i)` Get the attribute's node type by index
`java.lang.String` | `getType(java.lang.String name)` Get the attribute's node type by name
`java.lang.String` | `getType(java.lang.String uri, java.lang.String localName)` Look up an attribute's type by Namespace name.
`java.lang.String` | `getURI(int index)` Look up an attribute's Namespace URI by index.
`java.lang.String` | `getValue(int i)` Get the attribute's node value by index
`java.lang.String` | `getValue(java.lang.String name)` Look up an attribute's value by name.
`java.lang.String` | `getValue(java.lang.String uri, java.lang.String localName)` Look up an attribute's value by Namespace name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttList

    public AttList(NamedNodeMap attrs,
                   DOM2Helper dh)

  Constructor AttList
  Parameters:
    `attrs` - List of attributes this will contain
    `dh` - DOMHelper

Method Detail

### getLength

    public int getLength()

  Get the number of attribute nodes in the list
  Specified by:
    getLength in interface Attributes
  Returns:
    number of attribute nodes

### getURI

    public java.lang.String getURI(int index)

  Look up an attribute's Namespace URI by index.
  Specified by:
    getURI in interface Attributes
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The Namespace URI, or the empty string if none is available, or null if the index is out of range.

### getLocalName

    public java.lang.String getLocalName(int index)

  Look up an attribute's local name by index.
  Specified by:
    getLocalName in interface Attributes
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The local name, or the empty string if Namespace processing is not being performed, or null if the index is out of range.

### getQName

    public java.lang.String getQName(int i)

  Look up an attribute's qualified name by index.
  Specified by:
    getQName in interface Attributes
  Parameters:
    `i` - The attribute index (zero-based).
  Returns:
    The attribute's qualified name

### getType

    public java.lang.String getType(int i)

  Get the attribute's node type by index
  Specified by:
    getType in interface Attributes
  Parameters:
    `i` - The attribute index (zero-based)
  Returns:
    the attribute's node type

### getValue

    public java.lang.String getValue(int i)

  Get the attribute's node value by index
  Specified by:
    getValue in interface Attributes
  Parameters:
    `i` - The attribute index (zero-based)
  Returns:
    the attribute's node value

### getType

    public java.lang.String getType(java.lang.String name)

  Get the attribute's node type by name
  Specified by:
    getType in interface Attributes
  Parameters:
    `name` - Attribute name
  Returns:
    the attribute's node type

### getType

    public java.lang.String getType(java.lang.String uri,
                                    java.lang.String localName)

  Look up an attribute's type by Namespace name.
  Specified by:
    getType in interface Attributes
  Parameters:
    `uri` - The Namespace URI, or the empty String if the name has no Namespace URI.
    `localName` - The local name of the attribute.
  Returns:
    The attribute type as a string, or null if the attribute is not in the list or if Namespace processing is not being performed.

### getValue

    public java.lang.String getValue(java.lang.String name)

  Look up an attribute's value by name.
  Specified by:
    getValue in interface Attributes
  Parameters:
    `name` - The attribute node's name
  Returns:
    The attribute node's value

### getValue

    public java.lang.String getValue(java.lang.String uri,
                                     java.lang.String localName)

  Look up an attribute's value by Namespace name.
  Specified by:
    getValue in interface Attributes
  Parameters:
    `uri` - The Namespace URI, or the empty String if the name has no Namespace URI.
    `localName` - The local name of the attribute.
  Returns:
    The attribute value as a string, or null if the attribute is not in the list.

### getIndex

    public int getIndex(java.lang.String uri,
                        java.lang.String localPart)

  Look up the index of an attribute by Namespace name.
  Specified by:
    getIndex in interface Attributes
  Parameters:
    `uri` - The Namespace URI, or the empty string if the name has no Namespace URI.
    `localPart` - The attribute's local name.
  Returns:
    The index of the attribute, or -1 if it does not appear in the list.

### getIndex

    public int getIndex(java.lang.String qName)

  Look up the index of an attribute by raw XML 1.0 name.
  Specified by:
    getIndex in interface Attributes
  Parameters:
    `qName` - The qualified (prefixed) name.
  Returns:
    The index of the attribute, or -1 if it does not appear in the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.